<template>
  <div class="ma-content-block">
    <sa-table ref="crudRef" :options="options" :columns="columns" :searchForm="searchForm">
      <!-- 搜索区 tableSearch -->
      <template #tableSearch>
        <a-col :sm="8" :xs="24">
          <a-form-item label="媒体id" field="id">
            <a-input v-model="searchForm.id" placeholder="请输入媒体id" allow-clear />
          </a-form-item>
        </a-col>
        <a-col :sm="8" :xs="24">
          <a-form-item label="媒体名称" field="name">
            <a-input v-model="searchForm.name" placeholder="请输入媒体名称" allow-clear />
          </a-form-item>
        </a-col>
        <a-col :sm="8" :xs="24">
          <a-form-item label="媒体渠道简称" field="channel_name">
            <a-input v-model="searchForm.channel_name" placeholder="请输入媒体渠道简称" allow-clear />
          </a-form-item>
        </a-col>
      </template>

      <!-- Table 自定义渲染 -->
    </sa-table>

    <!-- 编辑表单 -->
    <edit-form ref="editRef" @success="refresh" />
  </div>
</template>

<script setup>
import { onMounted, ref, reactive } from 'vue'
import { Message } from '@arco-design/web-vue'
import EditForm from './edit.vue'
import api from '../../api/advert/mediaList'

// 引用定义
const crudRef = ref()
const editRef = ref()
const viewRef = ref()

// 搜索表单
const searchForm = ref({
  id: '',
  name: '',
  channel_name: '',
})

// SaTable 基础配置
const options = reactive({
  api: api.getPageList,
  rowSelection: { showCheckedAll: true },
  add: {
    show: true,
    auth: ['/v1/advert/MediaList/save'],
    func: async () => {
      editRef.value?.open()
    },
  },
  edit: {
    show: true,
    auth: ['/v1/advert/MediaList/update'],
    func: async (record) => {
      editRef.value?.open('edit')
      editRef.value?.setFormData(record)
    },
  },
  delete: {
    show: true,
    auth: ['/v1/advert/MediaList/destroy'],
    func: async (params) => {
      const resp = await api.destroy(params)
      if (resp.code === 200) {
        Message.success(`删除成功！`)
        crudRef.value?.refresh()
      }
    },
  },
})

// SaTable 列配置
const columns = reactive([
  { title: '媒体id', dataIndex: 'id', width: 180 },
  { title: '媒体名称', dataIndex: 'name', width: 180 },
  { title: '媒体渠道简称', dataIndex: 'channel_name', width: 180 },
  { title: '安卓监测链接', dataIndex: 'andurl', width: 180 },
  { title: 'ios监测链接', dataIndex: 'iosurl', width: 180 },
  { title: '小游戏监测链接', dataIndex: 'xyxurl', width: 180 },
  { title: '小游戏路径参数补充', dataIndex: 'appleturl', width: 180 },
  {
    title: '状态',
    dataIndex: 'status',
    type: 'dict',
    dict: 'nomal_or_stop',
    width: 120,
  },
])

// 页面数据初始化
const initPage = async () => {}

// SaTable 数据请求
const refresh = async () => {
  crudRef.value?.refresh()
}

// 页面加载完成执行
onMounted(async () => {
  initPage()
  refresh()
})
</script>

<script>
export default { name: 'v1/advert/mediaList' }
</script>
